Package org.apache.ignite.internal.management.diagnostic

## Class PageLocksTask

- java.lang.Object
- - org.apache.ignite.internal.visor.VisorMultiNodeTask<DiagnosticPagelocksCommandArg,​Map<ClusterNode,​PageLocksResult>,​PageLocksResult>
  - - org.apache.ignite.internal.management.diagnostic.PageLocksTask

All Implemented Interfaces:
  `Serializable`, `ComputeTask<VisorTaskArgument<DiagnosticPagelocksCommandArg>,​VisorTaskResult<Map<ClusterNode,​PageLocksResult>>>`

    @GridInternal
    public class PageLocksTask
    extends VisorMultiNodeTask<DiagnosticPagelocksCommandArg,​Map<ClusterNode,​PageLocksResult>,​PageLocksResult>

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.visor.VisorMultiNodeTask

`debug, ignite, start, taskArg`

### Constructor Summary

Constructors
`PageLocksTask()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected VisorJob<DiagnosticPagelocksCommandArg,​PageLocksResult>` `job​(DiagnosticPagelocksCommandArg arg)`
`protected @Nullable Map<ClusterNode,​PageLocksResult>` `reduce0​(List<ComputeJobResult> results)` Actual reduce logic.

### Methods inherited from class org.apache.ignite.internal.visor.VisorMultiNodeTask

`jobNodes, map, map0, reduce, result`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PageLocksTask

    public PageLocksTask()

### Method Detail

#### job

    protected VisorJob<DiagnosticPagelocksCommandArg,​PageLocksResult> job​(DiagnosticPagelocksCommandArg arg)

Specified by:
  `job` in class `VisorMultiNodeTask<DiagnosticPagelocksCommandArg,​Map<ClusterNode,​PageLocksResult>,​PageLocksResult>`
Parameters:
  `arg` - Task arg.
Returns:
  New job.

#### reduce0

    @Nullable
    protected @Nullable Map<ClusterNode,​PageLocksResult> reduce0​(List<ComputeJobResult> results)
                                                                throws IgniteException

Actual reduce logic.

Specified by:
  `reduce0` in class `VisorMultiNodeTask<DiagnosticPagelocksCommandArg,​Map<ClusterNode,​PageLocksResult>,​PageLocksResult>`
Parameters:
  `results` - Job results.
Returns:
  Task result.
Throws:
  `IgniteException` - If reduction or results caused an error.